KNIME Server (AWS) and Analytics Platform version issue

Hi,

I’m currently testing the KNIME Server with the latest AWS Marketplace template (KNIME Server Small for AWS). On my desktop I work with the latest Analytics Platform (v3.7.1.v201901281154). There seems to be a version conflict similar as discussed here: https://forum.knime.com/t/webportal-load-error-config-for-key-layoutinfos-not-found/12875
Is there a fix or workaround for this problem or do I have to downgrade my Analytics Platform

Best regards,
Martin

Hi Martin,

The version of KNIME Server on AWS right now is 4.7.3 (we still need to update the images). To ensure compatibility, you should use Analytics Platform 3.6.2.

Cheers,
Roland

Hi Roland,

is there a possibility to manually update the server via SSH?

Best regards,
Martin

Hi Martin,

Yes, that is another possible option. Please find the update information here: https://docs.knime.com/2018-12/server_update_guide/index.html#update

You can ignore the references to knime-tomcat.jar, this is not relevant in your case.

Note that besides updating the application server, you’ll need to update the executor as well.

Cheers,
Roland